commit:     5cbfd3cc045c82bf71bb5ecb13506ed5a8f19a9c
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Mar  2 06:34:35 2018 +0000
Commit:     Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Fri Mar  2 14:35:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cbfd3cc

dev-libs/mongo-c-driver: bump to 1.9.3

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-libs/mongo-c-driver/Manifest                   |  1 +
 .../mongo-c-driver/mongo-c-driver-1.9.3.ebuild     | 84 ++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-libs/mongo-c-driver/Manifest b/dev-libs/mongo-c-driver/Manifest
index 7538d34f794..0f187f8dd87 100644
--- a/dev-libs/mongo-c-driver/Manifest
+++ b/dev-libs/mongo-c-driver/Manifest
@@ -6,3 +6,4 @@ DIST mongo-c-driver-1.1.2.tar.gz 5443153 BLAKE2B 
f8004486baf6d2d3086e458bdb4bc80
 DIST mongo-c-driver-1.3.5.tar.gz 5860804 BLAKE2B 
a55de56d285638f21caff06446e3c0c19a5b8722a2ed69fdf046c35973c9bedcc1686065e4355db28afc83c1415872eee2972a6fb3f21647d2cafce12706adc0
 SHA512 
23844ffe20580998308aa9c8409afcb87dccde874077eefc6806b705e5de5743846ba0513f3a3fe83147fc47842ab8c7438ad1de5f3f55b81586b9e19046aabf
 DIST mongo-c-driver-1.6.2.tar.gz 6907818 BLAKE2B 
7922a50ba58d92d2954eb5c2ccb02fd3b70861bd26516fd12fe6bdf79a926799fbc3a367e1c24a57932870726aa5abc1d264215ea964a56bc318ab0f413afc60
 SHA512 
b3fe08a31bc83707a4d94f8ea2742fc9b17d024d6c2f92b49cfc4fe012e58cd441c9f0fa4bae9f4205fca44b2a0d8c6d5bc32a05fc9ede9bab0011839a1394af
 DIST mongo-c-driver-1.8.2.tar.gz 7308675 BLAKE2B 
ca82c2824486cee78b164d1fdfcf1de062804f0f8637a36ec197efe434ae23a387ec0e6b2e4aa3e9c8bb2434a3cef48fecd17fc4b159a92ad86b8b940b17598a
 SHA512 
af23601ba33694d80acdb890c1b85a354fda966491c4bbfb341a884bcd6314886e405efa3a09e47398adf8dbfdeb1b05ae8b022a72f04a66265bfaeddb661f76
+DIST mongo-c-driver-1.9.3.tar.gz 7716783 BLAKE2B 
9f5fc8cddbc1c4cf1f85016027e49d4c3bf2ebe50b1df45eda8569d48b88e174fe2c73e76f7afd4f3a36b74c5d02b826f55c610b8c4df273d8ebd4047e823edc
 SHA512 
2c3f915c4f367f5614a904741b4b480896dd521b7039158b2f421d0d7579a45862d5099cd26b6d14cb088f9db49019538aca553c5cf72d9706ec9ab6516ff40a

diff --git a/dev-libs/mongo-c-driver/mongo-c-driver-1.9.3.ebuild 
b/dev-libs/mongo-c-driver/mongo-c-driver-1.9.3.ebuild
new file mode 100644
index 00000000000..8c5b2194c35
--- /dev/null
+++ b/dev-libs/mongo-c-driver/mongo-c-driver-1.9.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A high-performance MongoDB driver for C"
+HOMEPAGE="https://github.com/mongodb/mongo-c-driver";
+SRC_URI="https://github.com/mongodb/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE="debug examples libressl sasl ssl static-libs test"
+
+RDEPEND="app-arch/snappy:=
+       >=dev-libs/libbson-1.8.2
+       sys-libs/zlib:=
+       sasl? ( dev-libs/cyrus-sasl )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )"
+DEPEND="${RDEPEND}
+       test? ( dev-db/mongodb )"
+
+# No tests on x86 because tests require dev-db/mongodb which don't support
+# x86 anymore (bug #645994)
+RESTRICT="x86? ( test )"
+
+src_prepare() {
+       # remove bundled libs
+       rm -rv src/{libbson,zlib*} || die
+
+       # bundled headers are gone
+       sed -e '/^ac_config_files/s@src/zlib-.*/zconf.h@@g' \
+               -i configure || die
+
+       # this test fails
+       sed -e '/test_topology_install (&suite)/d' \
+               -i tests/test-libmongoc.c || die
+
+       default
+}
+
+src_configure() {
+       econf --with-libbson=system \
+               --with-snappy=system \
+               --with-zlib=system \
+               --disable-optimizations \
+               --disable-shm-counters \
+               --disable-examples \
+               --docdir="${EPREFIX}/usr/share/doc/${P}" \
+               $(use_enable sasl) \
+               $(use_enable ssl ssl $(usex libressl libressl openssl)) \
+               $(use_enable debug) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default_src_install
+
+       # Only install the mongoc man pages to avoid conflicts of common names
+       doman doc/man/mongoc_*.3
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+
+       if use examples; then
+               docinto examples
+               dodoc -r examples/*.c examples/aggregation examples/bulk
+       fi
+}
+
+src_test() {
+       # Avoid allocating too much disk space by using server.smallFiles = 1
+       echo -e "storage:\n    smallFiles: true" > "${T}/mongod.conf" || die
+       local PORT=27099
+       mongod --port ${PORT} --bind_ip 127.0.0.1 --nounixsocket --fork \
+               -f "${T}/mongod.conf" --dbpath="${T}" \
+               --logpath="${T}/mongod.log" || die
+       MONGOC_TEST_HOST="127.0.0.1:${PORT}" emake test
+       kill $(<"${T}/mongod.lock")
+}

Reply via email to